Subject: Re: BUG() in current git, __dma_alloc_coherent, Beige G3

From: Joseph Fannin <[email-masked]>
Date: Mon, 16 Jun 2008 03:30:41 -0400

On Mon, Jun 16, 2008 at 02:50:38PM +1000, Benjamin Herrenschmidt wrote:
> On Sun, 2008-06-15 at 21:46 -0400, Joseph Fannin wrote:
> > Hello!
> >
> > I'm reproducably hitting a BUG() in Linus' git (current as of about
> > noon, Sunday 15, GMT -0500) on my Beige PowerMac G3 (32bit, natch).
> > The line indicted in the (hand-copied) traceback that follows is:
> >
> >     BUG_ON(!pte_none(*pte));
> >
> > ...in __dma_alloc_coherent().
>
>  .../...
>
> > [   261.043131] ------------[ cut here ]------------
> > [   261.044194] kernel BUG at arch/powerpc/lib/dma-noncoherent.c:209!
>
> I wonder how you end up hitting code in dma-noncoherent.c in the first
> place ! PowerMac kernels should not have that code compiled in at all...

I think it's because PPC_PRPMC2800 and MPC5121_ADS both live under
PPC_MULTIPLATFORM, and end up selecting NOT_COHERENT_CACHE.

If the button in Kconfig isn't labeled "Do Not Push", heck, I'll build
it.

--
Joseph Fannin
[email-masked]